libzypp 17.38.5

zypp::str::detail::RefStore< NoPrint > Struct Reference

`#include <zypp-core/base/LogTools.h>`

## Public Member Functions
constexpr | RefStore ()
constexpr | RefStore (NoPrint &&)
NoPrint & | get ()

## Private Attributes
NoPrint | _val

## Related Symbols
(Note that these are not member symbols.)
constexpr auto | makeRefStore (NoPrint &&t) -> RefStore< NoPrint >
| <T> Create a RefStore for the argument.
std::ostream & | operator<< (std::ostream &str, const RefStore< NoPrint > &obj)
| <T> Stream output

## Detailed Description

Definition at line 112 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ RefStore() [1/2]

zypp::str::detail::RefStore< NoPrint >::RefStore | ( |  | ) |
| inline constexpr

Definition at line 113 of file LogTools.h.

## ◆ RefStore() [2/2]

zypp::str::detail::RefStore< NoPrint >::RefStore | ( | NoPrint && |  | ) |
| inline constexpr

Definition at line 113 of file LogTools.h.

## Member Function Documentation

## ◆ get()

NoPrint & zypp::str::detail::RefStore< NoPrint >::get | ( |  | ) |
| inline

Definition at line 66 of file LogTools.h.

## Friends And Related Symbol Documentation

## ◆ makeRefStore()

auto makeRefStore | ( | NoPrint && | t | ) | -> RefStore< NoPrint >
| related

<T> Create a RefStore for the argument.

Definition at line 96 of file LogTools.h.

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const RefStore< NoPrint > & | obj )
| related

<T> Stream output

Definition at line 101 of file LogTools.h.

## Member Data Documentation

## ◆ _val

NoPrint zypp::str::detail::RefStore< NoPrint >::_val
| private

Definition at line 70 of file LogTools.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/LogTools.h